const merge = require('webpack-merge');
const baseConfig = require('./base.config.js');
const webpack = require('webpack');

module.exports = merge(baseConfig, {
    mode: 'development',
    plugins: [
        new webpack.DefinePlugin({
            DASHBOARD_URL: JSON.stringify('http://dashboard:80'),
            SESSION_URL: JSON.stringify('http://session:5006'),
            MODEL_URL: JSON.stringify('http://model:5007'),
            WEBSITE_URL: JSON.stringify('http://website:5005'),
            'process.env': {
                NODE_ENV: JSON.stringify('github')
            }
        })
    ]
});